"{ Package: 'jn:refactoring_custom' }"

CustomRefactoring subclass:#CustomCodeSelectionRefactoring
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Refactoring-Custom-Refactorings'
!

!CustomCodeSelectionRefactoring class methodsFor:'documentation'!

documentation
"
    Template class for refactorings which operates on selected source code in the text editor.

    [author:]
        Jakub Nesveda <nesvejak@fit.cvut.cz>
"
! !

!CustomCodeSelectionRefactoring class methodsFor:'queries'!

availableInContext:aCustomContext
    "Returns true if the generator/refactoring is available in given
     context, false otherwise.
     
     Called by the UI to figure out what generators / refactorings
     are available at given point. See class CustomContext for details."
    | codes |

    codes := aCustomContext selectedCodes.

    codes notEmptyOrNil and: [ 
        codes do: [ :selectedCode |
            | sourceCode |

            sourceCode := selectedCode selectedSourceCode.

            (sourceCode notNil and: [ sourceCode size > 0 ]) ifTrue: [ 
                ^ true
            ]
        ]
    ].

    ^ false

    "Created: / 21-08-2014 / 23:28:25 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
    "Modified: / 05-11-2014 / 22:45:27 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
!

availableInPerspective:aCustomPerspective
    "Returns true if the generator/refactoring is available in given
     perspective, false otherwise.
     
     Called by the UI to figure out what generators / refactorings
     to show"

    ^ aCustomPerspective isCodeViewPerspective

    "Created: / 21-08-2014 / 23:28:34 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
    "Modified: / 14-10-2014 / 10:29:52 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
!

isAbstract
    "Return if this class is an abstract class.
     True is returned here for myself only; false for subclasses.
     Abstract subclasses must redefine again."

    ^ self == CustomCodeSelectionRefactoring.
! !

